Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.item
Class Jav

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.xquery.expr.Expr
              org.basex.query.xquery.item.Item
                  org.basex.query.xquery.item.Jav

    public final class Jav

extends Item

String item.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Nested Class Summary

Nested classes/interfaces inherited from class org.basex.query.xquery.expr.Expr
`Expr.Return, Expr.Using`

Field Summary
`java.lang.Object` | `val` Java object.

Fields inherited from class org.basex.query.xquery.item.Item
`type`

Constructor Summary
`Jav(java.lang.Object v)` Constructor.

Method Summary
`boolean` | `bool()` Returns a boolean representation of the item.
`double` | `dbl()` Returns a double representation of the item.
`java.math.BigDecimal` | `dec()` Returns a decimal representation of the item.
`int` | `diff(Item it)` Returns the difference between the current and the specified item.
`boolean` | `eq(Item it)` Checks the items for equality.
`float` | `flt()` Returns a float representation of the item.
`long` | `itr()` Returns an integer (long) representation of the item.
`java.lang.Object` | `java()` Returns a Java object.
`byte[]` | `str()` Returns an atomized string.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.xquery.item.Item
`castErr, comp, d, hash, i, iter, iter, n, name, node, plan, returned, s, score, score, serialize, size, u, uses`

Methods inherited from class org.basex.query.xquery.expr.Expr
`e`

Methods inherited from class org.basex.query.ExprInfo
`color, info`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### val

    public java.lang.Object val

  Java object.

Constructor Detail

### Jav

    public Jav(java.lang.Object v)

  Constructor.

  Parameters:
    `v` - value

Method Detail

### str

    public byte[] str()

  Description copied from class: `Item`
  Returns an atomized string.

  Overrides:
    `str` in class `Item`
  Returns:
    string representation

### bool

    public boolean bool()

  Description copied from class: `Item`
  Returns a boolean representation of the item.

  Overrides:
    `bool` in class `Item`
  Returns:
    boolean value

### itr

    public long itr()
             throws XQException

  Description copied from class: `Item`
  Returns an integer (long) representation of the item.

  Overrides:
    `itr` in class `Item`
  Returns:
    long value
  Throws:
    `XQException` - evaluation exception

### flt

    public float flt()
              throws XQException

  Description copied from class: `Item`
  Returns a float representation of the item.

  Overrides:
    `flt` in class `Item`
  Returns:
    float value
  Throws:
    `XQException` - evaluation exception

### dbl

    public double dbl()
               throws XQException

  Description copied from class: `Item`
  Returns a double representation of the item.

  Overrides:
    `dbl` in class `Item`
  Returns:
    double value
  Throws:
    `XQException` - evaluation exception

### dec

    public java.math.BigDecimal dec()
                             throws XQException

  Description copied from class: `Item`
  Returns a decimal representation of the item.

  Overrides:
    `dec` in class `Item`
  Returns:
    decimal value
  Throws:
    `XQException` - evaluation exception

### eq

    public boolean eq(Item it)
               throws XQException

  Description copied from class: `Item`
  Checks the items for equality.

  Specified by:
    `eq` in class `Item`
  Parameters:
    `it` - item to be compared.
  Returns:
    result of check
  Throws:
    `XQException` - evaluation exception

### diff

    public int diff(Item it)
             throws XQException

  Description copied from class: `Item`
  Returns the difference between the current and the specified item.

  Overrides:
    `diff` in class `Item`
  Parameters:
    `it` - item to be compared.
  Returns:
    difference
  Throws:
    `XQException` - evaluation exception

### java

    public java.lang.Object java()

  Description copied from class: `Item`
  Returns a Java object.

  Overrides:
    `java` in class `Item`
  Returns:
    string representation

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Item`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD